Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface WebPageOptions

    public interface WebPageOptions

Class `WebPageOptions` provides some methods to return some web page options.

Method Summary
`int` | `getActiveRealmScheme()` Returns the active realm scheme.
`boolean` | `getAdHoc()` Returns if AdHoc feature is enabled.
`java.lang.String` | `getAdhocJspPath()` Deprecated.
`java.lang.String` | `getAdhocServletPath()` Deprecated.
`long` | `getAutoRecoverTaskInterval()` Returns the interval for auto recovering tasks.
`int` | `getAutoRecoverTaskMaxTimes()` Returns the maximum times for auto recovering tasks.
`boolean` | `getAutoRecoverTaskRedoAll()` Whether to redo all auto recover tasks.
`java.lang.String` | `getEngineDefaultEncoding()` Returns the engine default encoding.
`java.lang.String` | `getHelpPage(java.lang.String key)` Returns the specified local help doc.
`java.lang.String` | `getHelpUrl()` Returns the local help doc index page.
`java.lang.String` | `getJRServletPath()` Returns the jreport servlet path, which also can by specified by the property "web.jreport_servlet_path" in the server.properties file.
`java.lang.String` | `getJSPWebAppName(java.lang.String propname)` Returns jsp web application name from /bin/server.properties.
`java.lang.String` | `getMonitoringWebURL()` Returns currently valid and active web url entry of the Monitor Server, that is monitoring the Server itself or the Cluster Server.
`java.lang.String` | `getMultipleParameterValuesDelimiter()` Returns the multiple parameter delimiter, default value is ";".
`int` | `getOndemandTaskInitPriority()` Returns the priority value of On-demand task.
`long` | `getReportWaitTimeouts()` Returns the timeouts of waiting report in milliseconds.
`java.lang.String` | `getRootDirOfFolderSelector()` Returns the root directory of folder selector.
`int` | `getScheduleTaskInitPriority()` Returns the priority value of Scheduled task.
`java.lang.String` | `getSkinDir()` Returns the skin directory.
`java.lang.String` | `getSkinDir(javax.servlet.http.HttpServletRequest request)` Returns the skin directory.
`boolean` | `getToApplet()` Specifies whether to support exporting to "Applet" in the AdvancedRun mode.
`boolean` | `getToDHTML()` Specifies whether to support exporting to "DHTML" in the AdvancedRun mode.
`boolean` | `getToExcel()` Specifies whether to support exporting to "Excel" in the AdvancedRun mode.
`boolean` | `getToHtml()` Specifies whether to support exporting to "HTML" in the Advanced Run mode.
`boolean` | `getToPdf()` Specifies whether to support exporting to "PDF" in the Advanced Run mode.
`boolean` | `getToPs()` Specifies whether to support exporting to "PostScript" in the AdvancedRun mode.
`boolean` | `getToRtf()` Specifies whether to support exporting to "Rich Text Format" in the AdvancedRun mode.
`boolean` | `getToText()` Specifies whether to support exporting to "Text" in the Advanced Run mode.
`boolean` | `getToXML()` Specifies whether to support exporting to "XML" in the Advanced Run mode.
`java.lang.String` | `getTutorialUrl()` Returns the online tutorial URL.
`java.lang.String` | `getWebSiteUrl()` Returns the web site URL.
`boolean` | `hasConvertEncOption()` Specifies whether to support converting encoding in the Advanced Run mode.
`boolean` | `hasDbOption()` Specifies whether to support changing the default database user and password defined in the catalog in the Advanced Run mode.
`boolean` | `hasEncoding()` Specifies whether to support encoding in the Advanced Run mode.
`boolean` | `hasNewWindowSameName()` Deprecated. As of version 8.
`boolean` | `hasStyleGroupOption()` Specifies whether to support changing style group in the Advanced Run mode.
`boolean` | `hasTaskListener()` Specifies whether to support task listener.
`boolean` | `isEnableCheckCSRF()` Whether check CSRF vulnerability when receive http request.
`boolean` | `isEnableDispalyGroupPermissionUI()` Returns if to show group's permission setting UI.
`boolean` | `isEnableDispalyRolePermissionUI()` Returns if to show role's permission setting UI.
`boolean` | `isEnableDispalyUserPermissionUI()` Returns if to show user's permission setting UI.
`boolean` | `isEnableDynamicResource()` Specifies whether to support resources from real path.
`boolean` | `isEnableJDashboard()` Indicates whether to enable JDashboard.
`boolean` | `isEnableMonitorLink()` Checks whether the monitor link is enabled or not in the Admin page.
`boolean` | `isEnableMultiLanguage()` Indicates whether to enable multiple language.
`boolean` | `isEnableMultipleOrganization()` Indicates whether to enable multiple organization.
`boolean` | `isEnablePageLevelSecurity()` Returns whether to enable page level security when scheduling a report that has page level security.
`boolean` | `isEnableRoleBasedAuthorization()` Returns whether to enable role based authorization.
`boolean` | `isEnableTaskDuration()` Specifies whether to enable task duration.
`boolean` | `isEnableVA()` Indicates whether to enable VA.
`boolean` | `isLive()` Specifies whether enable Live.
`boolean` | `isMarkUnviewedResultVersion()` Returns whether to show the differences between viewed and un-viewed results on web UI.
`boolean` | `isPipeline()` Specifies whether to support pipeline for try-view reports
`boolean` | `isPromptActionQueueFull()` Returns whether to enable prompting message when the action queue is full.
`boolean` | `isPromptTaskQueueFull()` Returns whether to prompt message when the task queue is full.
`boolean` | `isPublishTempToVersion()` Specifies whether publish temp result to version system is enabled
`boolean` | `isPublishTempToVersion(java.lang.String filename)` Specifies whether publish temp result to version system is enabled
`boolean` | `isShowNameWithPostfix()` Specifies whether to show the file name extensions for the catalog and report files.
`boolean` | `isShowVersionParamContents()` Specifies whether to show the contents of parameter files in the version table
`boolean` | `isWebAdHoc()` Specifies whether to enable Adhoc.
`boolean` | `needSecurity()` Checks if the server needs to check security.
`boolean` | `showCatalogNode()` Specifies whether to show catalog node.
`boolean` | `usePermissionDialog()` Specifies whether to pop up another html page for the user permissions.
`boolean` | `useRelativeWebAppUrl()` Returns the URL of the given web application name, based on the provided

Method Detail

### hasDbOption

    boolean hasDbOption()

  Specifies whether to support changing the default database user and password defined in the catalog in the Advanced Run mode.

  Returns:
    whether to support changing the default database user and password defined in the catalog in the Advanced Run mode.

### hasEncoding

    boolean hasEncoding()

  Specifies whether to support encoding in the Advanced Run mode.

  Returns:
    true if to support encoding in the Advanced Run mode.

### isShowNameWithPostfix

    boolean isShowNameWithPostfix()

  Specifies whether to show the file name extensions for the catalog and report files.

  Returns:
    true if to show the file name extensions for the catalog and report files

### usePermissionDialog

    boolean usePermissionDialog()

  Specifies whether to pop up another html page for the user permissions.

  Returns:
    true if to pop up another html page for the user permissions.

### useRelativeWebAppUrl

    boolean useRelativeWebAppUrl()

  Returns the URL of the given web application name, based on the provided

  Returns:
    a web application URL

### hasStyleGroupOption

    boolean hasStyleGroupOption()

  Specifies whether to support changing style group in the Advanced Run mode.

  Returns:
    whether to support changing style group in the Advanced Run mode.

### hasConvertEncOption

    boolean hasConvertEncOption()

  Specifies whether to support converting encoding in the Advanced Run mode.

  Returns:
    whether to support converting encoding in the Advanced Run mode.

### hasTaskListener

    boolean hasTaskListener()

  Specifies whether to support task listener.

  Returns:
    true if to support task listener

### getToApplet

    boolean getToApplet()

  Specifies whether to support exporting to "Applet" in the AdvancedRun mode.

  Returns:
    true if to support exporting to "Applet" in the Advanced Run mode.

### getToHtml

    boolean getToHtml()

  Specifies whether to support exporting to "HTML" in the Advanced Run mode.

  Returns:
    true if to support exporting to "HTML" in the Advanced Run mode.

### getToPdf

    boolean getToPdf()

  Specifies whether to support exporting to "PDF" in the Advanced Run mode.

  Returns:
    true if to support exporting to "PDF" in the Advanced Run mode.

### getToText

    boolean getToText()

  Specifies whether to support exporting to "Text" in the Advanced Run mode.

  Returns:
    true if to support exporting to "Text" in the Advanced Run mode.

### getToExcel

    boolean getToExcel()

  Specifies whether to support exporting to "Excel" in the AdvancedRun mode.

  Returns:
    true if to support exporting to "Excel" in the Advanced Run mode.

### getToPs

    boolean getToPs()

  Specifies whether to support exporting to "PostScript" in the AdvancedRun mode.

  Returns:
    true if to support exporting to "PostScript" in the AdvancedRun mode.

### getToRtf

    boolean getToRtf()

  Specifies whether to support exporting to "Rich Text Format" in the AdvancedRun mode.

  Returns:
    true if to support exporting to "Rich Text Format" in the AdvancedRun mode.

### getToXML

    boolean getToXML()

  Specifies whether to support exporting to "XML" in the Advanced Run mode.

  Returns:
    true if to support exporting to "XML" in the Advanced Run mode.

### getToDHTML

    boolean getToDHTML()

  Specifies whether to support exporting to "DHTML" in the AdvancedRun mode.

  Returns:
    true if to support exporting to "DHTML" in the Advanced Run mode.

### hasNewWindowSameName

    boolean hasNewWindowSameName()

  Deprecated. As of version 8.

  Specifies whether new windows use the same name when browser pops up DHTML window

  Returns:
    whether new windows use the same name when browser pops up DHTML window

### isShowVersionParamContents

    boolean isShowVersionParamContents()

  Specifies whether to show the contents of parameter files in the version table

  Returns:
    true if to show the contents of parameter files in the version table

### isPublishTempToVersion

    boolean isPublishTempToVersion()

  Specifies whether publish temp result to version system is enabled

  Returns:
    true if it is enabled, false if it is disabled.

### isPublishTempToVersion

    boolean isPublishTempToVersion(java.lang.String filename)

  Specifies whether publish temp result to version system is enabled

  Parameters:
    `filename` -
  Returns:
    true if it is enabled, false if it is disabled.

### isPipeline

    boolean isPipeline()

  Specifies whether to support pipeline for try-view reports

  Returns:
    true if to support pipeline for try-view reports

### needSecurity

    boolean needSecurity()

  Checks if the server needs to check security.

  Returns:
    true if the server needs to check security.

### getReportWaitTimeouts

    long getReportWaitTimeouts()

  Returns the timeouts of waiting report in milliseconds. This value is specified by the property "web.timeouts.report_wait" in the file /bin/server.properties.

  Returns:
    the timeouts in milliseconds.

### getJSPWebAppName

    java.lang.String getJSPWebAppName(java.lang.String propname)

  Returns jsp web application name from /bin/server.properties.

  Parameters:
    `propname,` - can be "jsp.webapp.sendfile", "jsp.webapp.dhtml","jsp.webapp.dhtmljsp", "jsp.webapp.help".
  Returns:
    jsp webapp name from /bin/server.properties

### getAdhocServletPath

    java.lang.String getAdhocServletPath()

  Deprecated.

  Returns the adhoc servlet path.

  Returns:
    the adhoc servlet path

### getAdhocJspPath

    java.lang.String getAdhocJspPath()

  Deprecated.

  Returns the adhoc jsp path.

  Returns:
    the adhoc jsp path

### getJRServletPath

    java.lang.String getJRServletPath()

  Returns the jreport servlet path, which also can by specified by the property "web.jreport_servlet_path" in the server.properties file.

  Returns:
    the jreport servlet path.

### getAdHoc

    boolean getAdHoc()

  Returns if AdHoc feature is enabled.

  Returns:
    true if the key for AdHoc is enabled, otherwise false.

### getActiveRealmScheme

    int getActiveRealmScheme()

  Returns the active realm scheme. When authentication scheme is Basic, the value is 0. when scheme is Digest, the value is 1.

  Returns:
    the active realm authentication scheme. The default value is 0.

### getEngineDefaultEncoding

    java.lang.String getEngineDefaultEncoding()

  Returns the engine default encoding.

  Returns:
    the engine default encoding.

### isEnableDynamicResource

    boolean isEnableDynamicResource()

  Specifies whether to support resources from real path.

  Returns:
    true if to support resources from real path.

### showCatalogNode

    boolean showCatalogNode()

  Specifies whether to show catalog node.

  Returns:
    true if to show catalog node, otherwise false.

### getWebSiteUrl

    java.lang.String getWebSiteUrl()

  Returns the web site URL. The value can be specified by the property "server.url.website" in the server.properties file.

  Returns:
    the web site URL.

### getHelpUrl

    java.lang.String getHelpUrl()

  Returns the local help doc index page. The value can be specified by the property "server.url.help" in the server.properties file.

  Returns:
    the local help doc index page.

### getHelpPage

    java.lang.String getHelpPage(java.lang.String key)

  Returns the specified local help doc.

  Returns:
    the specified local help doc

### getTutorialUrl

    java.lang.String getTutorialUrl()

  Returns the online tutorial URL. It can be specified by the property server.url.tutorial in the server.propertie file.

  Returns:
    online tutorial URL.

### getSkinDir

    java.lang.String getSkinDir()

  Returns the skin directory.

  Returns:
    the skin directory

### getRootDirOfFolderSelector

    java.lang.String getRootDirOfFolderSelector()

  Returns the root directory of folder selector.

  Returns:
    the root directory of folder selector

### isEnableRoleBasedAuthorization

    boolean isEnableRoleBasedAuthorization()

  Returns whether to enable role based authorization.

  Returns:
    true if to enable, otherwise false.

### isEnableDispalyUserPermissionUI

    boolean isEnableDispalyUserPermissionUI()

  Returns if to show user's permission setting UI.

  Returns:
    true to display, false to hide.

### isEnableDispalyRolePermissionUI

    boolean isEnableDispalyRolePermissionUI()

  Returns if to show role's permission setting UI.

  Returns:
    true to display, false to hide.

### isEnableDispalyGroupPermissionUI

    boolean isEnableDispalyGroupPermissionUI()

  Returns if to show group's permission setting UI.

  Returns:
    true to display, false to hide.

### getMultipleParameterValuesDelimiter

    java.lang.String getMultipleParameterValuesDelimiter()

  Returns the multiple parameter delimiter, default value is ";". It also can be specified by the property "server.http.param_values.delimiter" in the server.properties file.

  Returns:
    The delimiter

### getMonitoringWebURL

    java.lang.String getMonitoringWebURL()

  Returns currently valid and active web url entry of the Monitor Server, that is monitoring the Server itself or the Cluster Server.

  Returns:
    the valid and active monitoring web url. This method firstly checks whether there is a valid and active web url of its own Monitor Server. If not it will attempt to check one of its Cluster Server. If both of the steps failed, it will return null.

### isEnableMonitorLink

    boolean isEnableMonitorLink()

  Checks whether the monitor link is enabled or not in the Admin page.

  Returns:
    true if the monitor link is enabled.

### getAutoRecoverTaskMaxTimes

    int getAutoRecoverTaskMaxTimes()

  Returns the maximum times for auto recovering tasks.

  Returns:
    the int value of the maximum times for auto recovering tasks.

### getAutoRecoverTaskInterval

    long getAutoRecoverTaskInterval()

  Returns the interval for auto recovering tasks.

  Returns:
    the long value of the interval for auto recovering tasks.

### getAutoRecoverTaskRedoAll

    boolean getAutoRecoverTaskRedoAll()

  Whether to redo all auto recover tasks.

  Returns:
    true if the default value of auto recover task redoAll is set to true.

### isEnableTaskDuration

    boolean isEnableTaskDuration()

  Specifies whether to enable task duration.

  Returns:
    true if to enable task duration, otherwise false.

### isWebAdHoc

    boolean isWebAdHoc()

  Specifies whether to enable Adhoc.

  Returns:
    true if to enable Adhoc, otherwise false.

### isLive

    boolean isLive()

  Specifies whether enable Live.

  Returns:
    true if enable Live, otherwise false.

### isEnableJDashboard

    boolean isEnableJDashboard()

  Indicates whether to enable JDashboard.

  Returns:
    true if to enable JDashboard
  Since:
    version 10.1

### isEnableVA

    boolean isEnableVA()

  Indicates whether to enable VA.

  Returns:
    true if to enable VA
  Since:
    version 12

### isEnableMultipleOrganization

    boolean isEnableMultipleOrganization()

  Indicates whether to enable multiple organization.

  Returns:
    true if to enable multiple organization
  Since:
    version 13

### isEnableMultiLanguage

    boolean isEnableMultiLanguage()

  Indicates whether to enable multiple language.

  Returns:
    true if to enable multiple language
  Since:
    version 13

### getOndemandTaskInitPriority

    int getOndemandTaskInitPriority()

  Returns the priority value of On-demand task. The default value is 7. It can also be specified by the property "task.initial.priority.ondemand" in the server.properties file.

  Returns:
    the priority value of On-demand task.

### getScheduleTaskInitPriority

    int getScheduleTaskInitPriority()

  Returns the priority value of Scheduled task. The default value is 5. It can also be specified by the property "task.initial.priority.schedule" in the server.properties file.

  Returns:
    the priority value of Scheduled task.

### getSkinDir

    java.lang.String getSkinDir(javax.servlet.http.HttpServletRequest request)

  Returns the skin directory. The default value is "/skin". It can also be specified by the property "web.skin.dir" in the server.properties file.

  Parameters:
    `request,` - the HttpServletRequest request
  Returns:
    the skin directory

### isPromptTaskQueueFull

    boolean isPromptTaskQueueFull()

  Returns whether to prompt message when the task queue is full.

  Returns:
    true if to prompt message, otherwise false

### isPromptActionQueueFull

    boolean isPromptActionQueueFull()

  Returns whether to enable prompting message when the action queue is full.

  Returns:
    true to enable, otherwise false.

### isMarkUnviewedResultVersion

    boolean isMarkUnviewedResultVersion()

  Returns whether to show the differences between viewed and un-viewed results on web UI.

  Returns:
    true if to show the differences between viewed and un-viewed results on web UI.

### isEnablePageLevelSecurity

    boolean isEnablePageLevelSecurity()

  Returns whether to enable page level security when scheduling a report that has page level security.

  Returns:
    true if to enable page level security, otherwise false.

### isEnableCheckCSRF

    boolean isEnableCheckCSRF()

  Whether check CSRF vulnerability when receive http request.

  Returns:
    true is need to check, false means ignore CSRF checking.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD